slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPNLEIGSGetSingularitiesFunction

Returns the Function and optionally the user provided context for computing a discretization of the singularity set.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPNLEIGSGetSingularitiesFunction(NEP nep,PetscErrorCode (**fun)(NEP,PetscInt*,PetscScalar*,void*),void **ctx)

Not Collective

### Input Parameter

| nep | - the nonlinear eigensolver context

### Output Parameters

| fun | - location to put the function (or NULL)
| ctx | - location to stash the function context (or NULL)

### See Also

NEPNLEIGSSetSingularitiesFunction()

### Level

advanced

### Location

src/nep/impls/nleigs/nleigs.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages